PAM_ACCT_MGMT(3)

NAME
pam_acct_mgmt - PAM account validation management

SYNOPSIS

#include <security/pam_appl.h>

int pam_acct_mgmt(pam_handle_t *pamh, int flags);

DESCRIPTION

The pam_acct_mgmt function is used to determine if the user's account is valid. It checks for authentication token and account expiration and verifies access restrictions. It is typically called after the user has been authenticated.

The pamh argument is an authentication handle obtained by a prior call to pam_start(). The flags argument is the binary or of zero or more of the following values:

PAM_SILENT
    Do not emit any messages.

PAM_DISALLOW_NULL_AUTHTOK
    The PAM module service should return PAM_NEW_AUTHTOK_REQD if the user has a null authentication token.

RETURN VALUES

PAM_ACCT_EXPIRED
    User account has expired.

PAM_AUTH_ERR
    Authentication failure.

PAM_NEW_AUTHTOK_REQD
    The user account is valid but their authentication token is expired. The correct response to this return-value is to require that the user satisfies the pam_chauthtok() function before obtaining service. It may not be possible for some applications to do this. In such cases, the user should be denied access until such time as they can update their password.

PAM_PERM_DENIED
    Permission denied.

PAM_SUCCESS
    The authentication token was successfully updated.

PAM_USER_UNKNOWN
    User unknown to password service.

SEE ALSO

pam_start(3), pam_authenticate(3), pam_chauthtok(3), pam_strerror(3), pam(8)